Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class BeanUtilsBean2

    java.lang.Object
      org.apache.commons.beanutils.BeanUtilsBean
          org.apache.commons.beanutils.BeanUtilsBean2

    public class BeanUtilsBean2

extends BeanUtilsBean

`BeanUtilsBean` implementation that creates a `ConvertUtilsBean2` and delegates conversion to `ConvertUtilsBean.convert(Object, Class)`.

To configure this implementation for the current context ClassLoader invoke `BeanUtilsBean.setInstance(new BeanUtilsBean2());`

BeanUtils 1.7.0 delegated all conversion to String to the converter registered for the `String.class`. One of the improvements in BeanUtils 1.8.0 was to upgrade the `Converter` implementations so that they could handle conversion to String for their type (e.g. IntegerConverter now handles conversion from an Integer to a String as well as String to Integer).

In order to take advantage of these improvements BeanUtils needs to change how it gets the appropriate `Converter`. This functionality has been implemented in the new `ConvertUtilsBean.lookup(Class, Class)` and `ConvertUtilsBean.convert(Object, Class)` methods. However changing `BeanUtilsBean` to use these methods could create compatibility issues for existing users. In order to avoid that, this new `BeanUtilsBean` implementation has been created (and the associated `ConvertUtilsBean2`).

Since:
  1.8.0
Version:
  $Revision: 552381 $ $Date: 2007-07-02 03:00:17 +0100 (Mon, 02 Jul 2007) $
See Also:
  `ConvertUtilsBean2`

Constructor Summary
`BeanUtilsBean2()` Constructs an instance using new property and conversion instances.

Method Summary
`protected Object` | `convert(Object value, Class type)` Convert the value to an object of the specified class (if possible).

Methods inherited from class org.apache.commons.beanutils.BeanUtilsBean
`cloneBean, copyProperties, copyProperty, describe, getArrayProperty, getConvertUtils, getIndexedProperty, getIndexedProperty, getInstance, getMappedProperty, getMappedProperty, getNestedProperty, getProperty, getPropertyUtils, getSimpleProperty, initCause, populate, setInstance, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanUtilsBean2

    public BeanUtilsBean2()

  Constructs an instance using new property and conversion instances.

Method Detail

### convert

    protected Object convert(Object value,
                             Class type)

  Convert the value to an object of the specified class (if possible).

  Overrides:
    `convert` in class `BeanUtilsBean`
  Parameters:
    `value` - Value to be converted (may be null)
    `type` - Class of the value to be converted to
  Returns:
    The converted value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.